RunnableWithArgsClosure (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## griffon.util
[Java] Class RunnableWithArgsClosure

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Closure
              griffon.util.RunnableWithArgsClosure

    public class RunnableWithArgsClosure
    extends Closure

A Closure that wraps a RunnableWithArgs.

Authors:
  Andres Almiray

Field Summary
`private RunnableWithArgs` | `runnable`

Fields inherited from class Closure
OWNER_FIRST, DELEGATE_FIRST, OWNER_ONLY, DELEGATE_ONLY, TO_SELF, DONE, SKIP, IDENTITY

Constructor Summary
`RunnableWithArgsClosure(RunnableWithArgs runnable)`
`RunnableWithArgsClosure(Object owner, RunnableWithArgs runnable)`

Method Summary
`protected Object` | `doCall(Object[] args)`

Methods inherited from class Closure
run, setProperty, getProperty, clone, getParameterTypes, setDelegate, getOwner, leftShift, leftShift, rightShift, call, call, call, getDelegate, getMaximumNumberOfParameters, setResolveStrategy, getResolveStrategy, getThisObject, getDirective, setDirective, isCase, asWritable, curry, rcurry, rcurry, ncurry, ncurry, memoize, memoizeAtMost, memoizeAtLeast, memoizeBetween, trampoline, trampoline, getMetaClass, setMetaClass, invokeMethod, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class GroovyObjectSupport
setProperty, getProperty, getMetaClass, setMetaClass, invokeMethod, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### runnable

    private final RunnableWithArgs runnable

Constructor Detail

### RunnableWithArgsClosure

    public RunnableWithArgsClosure(RunnableWithArgs runnable)

### RunnableWithArgsClosure

    public RunnableWithArgsClosure(Object owner, RunnableWithArgs runnable)

Method Detail

### doCall

    protected Object doCall(Object[] args)

Groovy Documentation